SystemOrganization addCategory: #'TP1-LSD-Inc'!
SystemOrganization addCategory: #'TP1-LSD-Inc-Testing'!

Trait named: #TConsumoEntradaPorPunto
	uses: {}
	category: 'TP1-LSD-Inc'!

!TConsumoEntradaPorPunto methodsFor: 'as yet unclassified' stamp: 'MarChU 4/14/2013 03:59'!
consumo: unaPantalla
	^ self definicion * self wattsPorPunto! !

!TConsumoEntradaPorPunto methodsFor: 'as yet unclassified' stamp: 'MarChU 4/14/2013 03:59'!
definicion
	self requiredMethods! !

!TConsumoEntradaPorPunto methodsFor: 'as yet unclassified' stamp: 'MarChU 4/13/2013 21:36'!
wattsPorPunto
	self requiredMethods! !

Trait named: #TConsumoEntradaPorcentaje
	uses: {}
	category: 'TP1-LSD-Inc'!

!TConsumoEntradaPorcentaje methodsFor: 'as yet unclassified' stamp: 'MarChU 4/12/2013 04:40'!
consumo: unaPantalla
	^ unaPantalla consumo * self porcentaje! !

!TConsumoEntradaPorcentaje methodsFor: 'as yet unclassified' stamp: 'MarChU 4/12/2013 00:29'!
porcentaje
	self requiredMethods! !

Trait named: #TConsumoTecnologiaDeImagen
	uses: {}
	category: 'TP1-LSD-Inc'!

!TConsumoTecnologiaDeImagen methodsFor: 'as yet unclassified' stamp: 'MarChU 4/13/2013 17:34'!
consumo
	^ self wattsPorHora * self tamanio! !

!TConsumoTecnologiaDeImagen methodsFor: 'as yet unclassified' stamp: 'MarChU 4/12/2013 04:24'!
tamanio
	self requiredMethods! !

!TConsumoTecnologiaDeImagen methodsFor: 'as yet unclassified' stamp: 'MarChU 4/10/2013 03:43'!
wattsPorHora
	self requiredMethods! !

Trait named: #TCreacionDiscoRigido
	uses: {}
	category: 'TP1-LSD-Inc-Testing'!

!TCreacionDiscoRigido methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 10:57'!
getDiscoMagnetico
	^ HDMagnetico newDisco: 7200! !

!TCreacionDiscoRigido methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 11:02'!
getDiscoSolido
	^ HDSolido newDisco: 50! !

Trait named: #TCreacionPantalla
	uses: {}
	category: 'TP1-LSD-Inc-Testing'!

!TCreacionPantalla methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 10:00'!
getMonitorCRTBuilder
	^ MonitorBuilder new setTecnologiaCRT: 17.! !

!TCreacionPantalla methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 10:00'!
getMonitorLCDBuilder
	^ MonitorBuilder new setTecnologiaLCD: 17 PPP: 100.! !

!TCreacionPantalla methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 10:00'!
getSmartTVLEDBuilder
	^ SmartTVBuilder new setTecnologiaLED: 22 PPP: 100.! !

!TCreacionPantalla methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 10:00'!
getTVCRTBuilder
	^ TVBuilder new setTecnologiaCRT: 14.! !

!TCreacionPantalla methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 10:00'!
getTVLCDBuilder
	^ TVBuilder new setTecnologiaLCD: 14 PPP: 100.! !

Trait named: #TCreacionPlacaDeVideo
	uses: {}
	category: 'TP1-LSD-Inc-Testing'!

!TCreacionPlacaDeVideo methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 11:16'!
getConGPU
	^ ConGPU newPlacaConPxHorizontales: 1920 pxVerticales: 1080! !

!TCreacionPlacaDeVideo methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 11:51'!
getIntegrada
	^ Integrada newPlacaConPxHorizontales: 1280 pxVerticales: 720 consumoPromedio: 180! !

!TCreacionPlacaDeVideo methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 11:43'!
getSinGPU
	^ SinGPU newPlacaConPxHorizontales: 1920 pxVerticales: 1080 consumoPromedio: 28! !

Trait named: #TDefinicionEntradaPorCable
	uses: {}
	category: 'TP1-LSD-Inc'!

!TDefinicionEntradaPorCable methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 19:24'!
cable
	self requiredMethods! !

!TDefinicionEntradaPorCable methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 19:17'!
definicion
	( self estaConectada ) ifFalse: [ Exception signal: 'No se puede determinar definicion. Por favor, conecte un cable.' ].
	^ self cable definicion! !

!TDefinicionEntradaPorCable methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 19:15'!
estaConectada
	self requiredMethods! !

Trait named: #TEntrada480
	uses: {}
	category: 'TP1-LSD-Inc'!

!TEntrada480 methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 19:01'!
definicion
	^ 480! !

!TEntrada480 methodsFor: 'as yet unclassified' stamp: 'MarChU 4/15/2013 00:02'!
puedeConectar: unCable
	^ unCable definicion = 480! !

Trait named: #TImagenAnalogica
	uses: {}
	category: 'TP1-LSD-Inc'!

!TImagenAnalogica commentStamp: '<historical>' prior: 0!
A TImagenAnalogica is xxxxxxxxx.
!

!TImagenAnalogica methodsFor: 'as yet unclassified' stamp: 'MarChU 4/10/2013 03:53'!
definicionMaxima
	^ 480! !

Trait named: #TImagenDigital
	uses: {}
	category: 'TP1-LSD-Inc'!

!TImagenDigital commentStamp: '<historical>' prior: 0!
A TImagenDigital is un trait que se encarga de obtener la definicion de una tecnologia digital.
!

!TImagenDigital methodsFor: 'as yet unclassified' stamp: 'MarChU 4/10/2013 03:51'!
definicionMaxima
	^ self ppp * ( ( self tamanio squared / 2 ) raisedTo: 0.5 )! !

!TImagenDigital methodsFor: 'as yet unclassified' stamp: 'MarChU 4/10/2013 03:46'!
ppp
	self requiredMethods! !

!TImagenDigital methodsFor: 'as yet unclassified' stamp: 'MarChU 4/13/2013 17:31'!
tamanio
	self requiredMethods! !

Trait named: #TPlacaDeVideoConConsumoPromedio
	uses: {}
	category: 'TP1-LSD-Inc'!

!TPlacaDeVideoConConsumoPromedio methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 22:23'!
consumoInterno
	^ [ :unaPC | self consumoPromedio ]! !

!TPlacaDeVideoConConsumoPromedio methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 22:02'!
consumoPromedio
	self requiredMethods! !

Trait named: #TRefrescoEntradaPorCable
	uses: {}
	category: 'TP1-LSD-Inc'!

!TRefrescoEntradaPorCable methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 19:24'!
cable
	self requiredMethods! !

!TRefrescoEntradaPorCable methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 19:23'!
estaConectada
	self requiredMethods! !

!TRefrescoEntradaPorCable methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 19:24'!
refrescoMaximo
	( self estaConectada ) ifFalse: [ Exception signal: 'No se puede determinar refresco. Por favor, conecte un cable.' ].
	^ self cable refresco! !

TestCase subclass: #AudioVideoTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc-Testing'!

!AudioVideoTest methodsFor: 'as yet unclassified' stamp: 'MartinPaoloni 4/19/2013 22:30'!
testNoPuedeConectar
	| audioVideo cable |
	cable := Cable new definicion: 360.
	audioVideo := AudioVideo new.
	self assert: ( audioVideo puedeConectar: cable ) not.! !

!AudioVideoTest methodsFor: 'as yet unclassified' stamp: 'MartinPaoloni 4/19/2013 22:30'!
testPuedeConectar
	| audioVideo cable |
	cable := Cable new definicion: 480.
	audioVideo := AudioVideo new.
	self assert: ( audioVideo puedeConectar: cable ).! !

TestCase subclass: #ConectividadPantallaTest
	uses: TCreacionPantalla
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc-Testing'!

ConectividadPantallaTest class
	uses: TCreacionPantalla classTrait
	instanceVariableNames: ''!

!ConectividadPantallaTest methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 10:22'!
testMonitorLCDConVGA
	| builder pantalla cable |
	builder := self getMonitorLCDBuilder.
	builder setEntrada: VGA new.
	pantalla := builder build.
	cable := Cable newCable: 720.
	self assert: ( pantalla puedeConectar: cable ).! !

!ConectividadPantallaTest methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 10:24'!
testSmartTVLEDConHDMI
	| builder pantalla cable |
	builder := self getSmartTVLEDBuilder.
	builder setEntrada: HDMI new.
	pantalla := builder build.
	cable := CableHDMI newCable: 2040 conRefresco: 240.
	self assert: ( pantalla puedeConectar: cable ) not.! !

TestCase subclass: #ConsumoDiscoRigidoTest
	uses: TCreacionDiscoRigido
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc-Testing'!

ConsumoDiscoRigidoTest class
	uses: TCreacionDiscoRigido classTrait
	instanceVariableNames: ''!

!ConsumoDiscoRigidoTest methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 10:59'!
testDiscoSolido
	self assert: ( self getDiscoSolido consumo = 50 )! !

!ConsumoDiscoRigidoTest methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 11:09'!
testMagnetico
	self assert: ( self getDiscoMagnetico consumo = (216/5) )! !

TestCase subclass: #ConsumoPCTest
	uses: TCreacionPlacaDeVideo + TCreacionDiscoRigido + TCreacionPantalla
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc-Testing'!

ConsumoPCTest class
	uses: TCreacionPlacaDeVideo classTrait + TCreacionDiscoRigido classTrait + TCreacionPantalla classTrait
	instanceVariableNames: ''!

!ConsumoPCTest methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 11:37'!
testMonitorLCDConVGAConGPUConHDMagnetico
	| builder pantalla pc hd placa |
	builder := self getMonitorLCDBuilder.
	builder setEntrada: VGA new.
	pantalla := builder build.
	pantalla conectar: ( Cable newCable: 720 ).
	hd := self getDiscoMagnetico.
	placa := self getConGPU.
	placa setCantidadDeCoolers: 5.
	pc := PC newConHd: hd pantalla: pantalla placaDeVideo: placa.
	self assert: pantalla consumo = 68.
	self assert: hd consumo = (216/5).
	self assert: ( placa consumo value: pc ) = 2.5072.
	self assert: pc consumo = 113.7072 ! !

!ConsumoPCTest methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 11:47'!
testSmartTVLEDConHDMISinGPUConHDSolido
	| builder pantalla pc hd placa |
	builder := self getSmartTVLEDBuilder.
	builder setEntrada: HDMI new.
	pantalla := builder build.
	pantalla conectar: ( CableHDMI newCable: 1280 conRefresco: 240 ).
	hd := self getDiscoSolido.
	placa := self getSinGPU.
	placa setCantidadDeCoolers: 8.
	pc := PC newConHd: hd pantalla: pantalla placaDeVideo: placa.
	self assert: pantalla consumo = 22.
	self assert: hd consumo = 50.
	self assert: ( placa consumo value: pc ) = 32.
	self assert: pc consumo = 104! !

!ConsumoPCTest methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 11:52'!
testTVLCDConRFIntegradaConHDSolido
	| builder pantalla pc hd placa |
	builder := self getTVLCDBuilder.
	builder setEntrada: RF new.
	pantalla := builder build.
	pantalla conectar: ( Cable newCable: 480 ).
	hd := self getDiscoSolido.
	placa := self getIntegrada.
	pc := PC newConHd: hd pantalla: pantalla placaDeVideo: placa.
	self assert: pantalla consumo = 56.
	self assert: hd consumo = 50.
	self assert: ( placa consumo value: pc ) = 180.5.
	self assert: pc consumo = 286.5! !

TestCase subclass: #ConsumoPantallaTest
	uses: TCreacionPantalla
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc-Testing'!

ConsumoPantallaTest class
	uses: TCreacionPantalla classTrait
	instanceVariableNames: ''!

!ConsumoPantallaTest methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 10:35'!
testMonitorLCDConAudioVideo	
	| builder pantalla |
	builder := self getMonitorLCDBuilder.
	builder setEntrada: AudioVideo new.
	pantalla := builder build.
	pantalla conectar: ( Cable newCable: 480 ).
	self assert: pantalla consumoConfiguracion = 74.8.! !

!ConsumoPantallaTest methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 10:30'!
testMonitorLCDConVGA	
	| builder pantalla |
	builder := self getMonitorLCDBuilder.
	builder setEntrada: VGA new.
	pantalla := builder build.
	pantalla conectar: ( Cable newCable: 720 ).
	self assert: pantalla consumoConfiguracion = 68.72.! !

!ConsumoPantallaTest methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 10:34'!
testSmartTVLEDConHDMI
	| builder pantalla |
	builder := self getSmartTVLEDBuilder.
	builder setEntrada: HDMI new.
	pantalla := builder build.
	pantalla conectar: ( CableHDMI newCable: 1080 conRefresco: 240 ).
	self assert: pantalla consumoConfiguracion = 26.4.! !

!ConsumoPantallaTest methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 10:32'!
testTVCRTConRF
	| builder pantalla |
	builder := self getTVCRTBuilder.
	builder setEntrada: RF new.
	pantalla := builder build.
	pantalla conectar: ( Cable newCable: 480 ).
	self assert: pantalla consumoConfiguracion = 70.! !

TestCase subclass: #CoolersTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc-Testing'!

!CoolersTest methodsFor: 'testing' stamp: 'MartinPaoloni 4/19/2013 22:25'!
testConsumoCoolers
	| coolers |
	coolers := Coolers new cantidad: 2.
	self assert: coolers consumo  = 1.
	! !

TestCase subclass: #DefinicionPantallaTest
	uses: TCreacionPantalla
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc-Testing'!

DefinicionPantallaTest class
	uses: TCreacionPantalla classTrait
	instanceVariableNames: ''!

!DefinicionPantallaTest methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 09:37'!
testMonitorLCDConRF
	| builder pantalla |
	builder := self getMonitorLCDBuilder.
	builder setEntrada: RF new.
	pantalla := builder build.
	pantalla conectar: ( Cable newCable: 480 ).
	self assert: pantalla resolucionConfiguracion = 480.! !

!DefinicionPantallaTest methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 09:35'!
testMonitorLCDConVGA
	| builder pantalla |
	builder := self getMonitorLCDBuilder.
	builder setEntrada: VGA new.
	pantalla := builder build.
	pantalla conectar: ( Cable newCable: 720 ).
	self assert: pantalla resolucionConfiguracion = 720.! !

!DefinicionPantallaTest methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 09:41'!
testSmartTVConHDMI
	| builder pantalla |
	builder := self getSmartTVLEDBuilder.
	builder setEntrada: HDMI new.
	pantalla := builder build.
	pantalla conectar: ( CableHDMI newCable: 1080 conRefresco: 240).
	self assert: pantalla resolucionConfiguracion = 1080.! !

!DefinicionPantallaTest methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 09:38'!
testTVCRTConAudioVideo
	| builder pantalla |
	builder := self getTVCRTBuilder.
	builder setEntrada: AudioVideo new.
	pantalla := builder build.
	pantalla conectar: ( Cable newCable: 480 ).
	self assert: pantalla resolucionConfiguracion = 480.! !

TestCase subclass: #HDMITest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc-Testing'!

!HDMITest methodsFor: 'as yet unclassified' stamp: 'MartinPaoloni 4/19/2013 22:50'!
testConsumo
	| hdmi cable|
	cable := CableHDMI new.
	cable definicion: 720.
	cable refresco: 240.
	hdmi := HDMI new.
	hdmi conectar: cable.
	self assert: ( hdmi refrescoMaximo = 240 ).! !

!HDMITest methodsFor: 'as yet unclassified' stamp: 'MartinPaoloni 4/19/2013 22:51'!
testRefresco
	| hdmi cable|
	cable := CableHDMI new.
	cable definicion: 720.
	cable refresco: 240.
	hdmi := HDMI new.
	hdmi conectar: cable.
	self assert: ( hdmi refrescoMaximo = 240 ).! !

TestCase subclass: #JugabilidadPCTest
	uses: TCreacionPlacaDeVideo + TCreacionDiscoRigido + TCreacionPantalla
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc-Testing'!

JugabilidadPCTest class
	uses: TCreacionPlacaDeVideo classTrait + TCreacionDiscoRigido classTrait + TCreacionPantalla classTrait
	instanceVariableNames: ''!

!JugabilidadPCTest methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 12:02'!
getSinGPU
	^ SinGPU newPlacaConPxHorizontales: 1920 pxVerticales: 1080 consumoPromedio: 1.5! !

!JugabilidadPCTest methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 11:54'!
testMonitorLCDConVGAConGPUConHDMagnetico
	| builder pantalla pc hd placa |
	builder := self getMonitorLCDBuilder.
	builder setEntrada: VGA new.
	pantalla := builder build.
	pantalla conectar: ( Cable newCable: 720 ).
	hd := self getDiscoMagnetico.
	placa := self getConGPU.
	placa setCantidadDeCoolers: 5.
	pc := PC newConHd: hd pantalla: pantalla placaDeVideo: placa.
	self assert: pc jugar! !

!JugabilidadPCTest methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 12:02'!
testSmartTVLEDConHDMISinGPUConHDSolido
	| builder pantalla pc hd placa |
	builder := self getSmartTVLEDBuilder.
	builder setEntrada: HDMI new.
	pantalla := builder build.
	pantalla conectar: ( CableHDMI newCable: 1280 conRefresco: 240 ).
	hd := self getDiscoSolido.
	placa := self getSinGPU.
	placa setCantidadDeCoolers: 8.
	pc := PC newConHd: hd pantalla: pantalla placaDeVideo: placa.
	self assert: pc jugar! !

!JugabilidadPCTest methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 11:57'!
testTVLCDConRFIntegradaConHDSolido
	| builder pantalla pc hd placa |
	builder := self getTVLCDBuilder.
	builder setEntrada: RF new.
	pantalla := builder build.
	pantalla conectar: ( Cable newCable: 480 ).
	hd := self getDiscoSolido.
	placa := self getIntegrada.
	pc := PC newConHd: hd pantalla: pantalla placaDeVideo: placa.
	self assert: pc jugar not! !

TestCase subclass: #JugabilidadPantalla
	uses: TCreacionPantalla
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc-Testing'!

JugabilidadPantalla class
	uses: TCreacionPantalla classTrait
	instanceVariableNames: ''!

!JugabilidadPantalla methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 10:40'!
testMonitorCRTConVGA
	| builder pantalla |
	builder := self getMonitorCRTBuilder.
	builder setEntrada: VGA new.
	pantalla := builder build.
	pantalla conectar: ( Cable newCable: 480 ).
	self assert: pantalla jugar.! !

!JugabilidadPantalla methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 10:43'!
testSmartTVLEDConHDMI
	| builder pantalla |
	builder := self getSmartTVLEDBuilder.
	builder setEntrada: HDMI new.
	pantalla := builder build.
	pantalla conectar: ( CableHDMI newCable: 720 conRefresco: 240).
	self assert: pantalla jugar.! !

!JugabilidadPantalla methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 10:39'!
testTVLCDConVGA
	| builder pantalla |
	builder := self getTVLCDBuilder.
	builder setEntrada: VGA new.
	pantalla := builder build.
	pantalla conectar: ( Cable newCable: 720 ).
	self assert: pantalla jugar not.! !

TestCase subclass: #RFTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc-Testing'!

!RFTest methodsFor: 'as yet unclassified' stamp: 'MartinPaoloni 4/19/2013 22:41'!
testNoPuedeConectar
	| rf cable |
	cable := Cable new definicion: 360.
	rf := RF new.
	self assert: ( rf puedeConectar: cable ) not.! !

!RFTest methodsFor: 'as yet unclassified' stamp: 'MartinPaoloni 4/19/2013 22:31'!
testPuedeConectar
	| rf cable |
	cable := Cable new definicion: 480.
	rf := RF new.
	self assert: ( rf puedeConectar: cable ).! !

TestCase subclass: #RefrescoPantallaTest
	uses: TCreacionPantalla
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc-Testing'!

RefrescoPantallaTest class
	uses: TCreacionPantalla classTrait
	instanceVariableNames: ''!

!RefrescoPantallaTest methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 09:51'!
testMonitorCRTConRF
	| builder pantalla |
	builder := self getMonitorCRTBuilder.
	builder setEntrada: RF new.
	pantalla := builder build.
	pantalla conectar: ( Cable newCable: 480 ).
	self assert: pantalla refrescoConfiguracion = 50.! !

!RefrescoPantallaTest methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 09:55'!
testSmartTVLEDConVGA
	| builder pantalla |
	builder := self getSmartTVLEDBuilder.
	builder setEntrada: HDMI new.
	pantalla := builder build.
	pantalla conectar: ( CableHDMI newCable: 720 conRefresco: 240 ).
	self assert: pantalla refrescoConfiguracion = 135.! !

!RefrescoPantallaTest methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 09:53'!
testTVLCDConAudioVideo
	| builder pantalla |
	builder := self getTVLCDBuilder.
	builder setEntrada: AudioVideo new.
	pantalla := builder build.
	pantalla conectar: ( Cable newCable: 480 ).
	self assert: pantalla refrescoConfiguracion = 50.! !

!RefrescoPantallaTest methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 09:53'!
testTVLCDConVGA
	| builder pantalla |
	builder := self getTVLCDBuilder.
	builder setEntrada: VGA new.
	pantalla := builder build.
	pantalla conectar: ( Cable newCable: 720 ).
	self assert: pantalla refrescoConfiguracion = 90.! !

TestCase subclass: #TecnologiaDeImagenTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc-Testing'!

!TecnologiaDeImagenTest commentStamp: '<historical>' prior: 0!
A TecnologiaDeImagenTest is xxxxxxxxx.

Instance Variables
!

!TecnologiaDeImagenTest methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 08:59'!
getCRT
	^ CRT new
		tamanio: 20.! !

!TecnologiaDeImagenTest methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 08:59'!
getLCD
	^ LCD new
		tamanio: 20;
		ppp: 100.! !

!TecnologiaDeImagenTest methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 09:03'!
getLED
	^ LED new
		tamanio: 22;
		ppp: 100.! !

!TecnologiaDeImagenTest methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 09:01'!
testConsumoCRT
	self assert: self getCRT consumo = 100! !

!TecnologiaDeImagenTest methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 09:01'!
testConsumoLCD
	self assert: self getLCD consumo = 80! !

!TecnologiaDeImagenTest methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 09:02'!
testConsumoLED
	self assert: self getLED consumo = 22! !

!TecnologiaDeImagenTest methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 09:02'!
testDefinicionMaximaCRT
	self assert: self getCRT definicionMaxima = 480! !

!TecnologiaDeImagenTest methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 09:04'!
testDefinicionMaximaLCD
	self assert: self getLCD definicionMaxima rounded = 1414! !

!TecnologiaDeImagenTest methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 09:05'!
testDefinicionMaximaLED
	self assert: self getLED definicionMaxima rounded = 1556! !

TestCase subclass: #VGATest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc-Testing'!

!VGATest methodsFor: 'as yet unclassified' stamp: 'MartinPaoloni 4/19/2013 22:55'!
testRefresco
	|vga cable|
	vga := VGA new.
	self assert: ( vga refrescoMaximo = 120 ).! !

Object subclass: #Cable
	instanceVariableNames: 'definicion'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc'!

!Cable class methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 23:14'!
newCable: unaDefinicion
		^ self new
			definicion: unaDefinicion.
! !

!Cable methodsFor: 'accessing' stamp: 'MarChU 4/14/2013 02:22'!
definicion
	^ definicion! !

!Cable methodsFor: 'accessing' stamp: 'MarChU 4/14/2013 02:22'!
definicion: anObject
	definicion := anObject! !

Cable subclass: #CableHDMI
	instanceVariableNames: 'refresco'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc'!

!CableHDMI class methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 23:13'!
newCable: unaDefinicion conRefresco: unRefresco
		^ self new
			definicion: unaDefinicion;
			refresco: unRefresco.! !

!CableHDMI methodsFor: 'accessing' stamp: 'MarChU 4/14/2013 02:22'!
refresco
	^ refresco! !

!CableHDMI methodsFor: 'accessing' stamp: 'MarChU 4/14/2013 02:22'!
refresco: anObject
	refresco := anObject! !

Object subclass: #Coolers
	instanceVariableNames: 'cantidad'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc'!

!Coolers class methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 23:14'!
new: unaCantidad		
		^ self new
			cantidad: unaCantidad.! !

!Coolers methodsFor: 'accessing' stamp: 'MarChU 4/16/2013 20:15'!
cantidad
	^ cantidad! !

!Coolers methodsFor: 'accessing' stamp: 'MarChU 4/16/2013 20:15'!
cantidad: anObject
	cantidad := anObject! !

!Coolers methodsFor: 'accessing' stamp: 'MarChU 4/16/2013 20:16'!
consumo
	^ self cantidad * 0.5! !

!Coolers methodsFor: 'accessing' stamp: 'MarChU 4/16/2013 20:16'!
initialize
	self cantidad: 1! !

Object subclass: #Entrada
	instanceVariableNames: 'cable'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc'!

Entrada subclass: #AudioVideo
	uses: TConsumoEntradaPorcentaje + TEntrada480
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc'!

AudioVideo class
	uses: TConsumoEntradaPorcentaje classTrait + TEntrada480 classTrait
	instanceVariableNames: ''!

!AudioVideo methodsFor: 'as yet unclassified' stamp: 'MarChU 4/12/2013 05:05'!
porcentaje
	^ 0.1! !

!AudioVideo methodsFor: 'as yet unclassified' stamp: 'MarChU 4/14/2013 01:38'!
refrescoMaximo
	^ 50! !

!Entrada methodsFor: 'accessing' stamp: 'MarChU 4/15/2013 00:41'!
cable
	^ cable! !

!Entrada methodsFor: 'as yet unclassified' stamp: 'MarChU 4/14/2013 22:48'!
conectar: unCable
	cable := unCable! !

!Entrada methodsFor: 'as yet unclassified' stamp: 'MarChU 4/14/2013 03:07'!
consumo: unaPantalla
	self subclassResponsability! !

!Entrada methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 19:02'!
definicion
	self subclassResponsability! !

!Entrada methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 19:34'!
estaConectada
	^ self cable notNil! !

!Entrada methodsFor: 'as yet unclassified' stamp: 'MarChU 4/14/2013 23:55'!
puedeConectar: unCable
	^ true! !

!Entrada methodsFor: 'as yet unclassified' stamp: 'MarChU 4/14/2013 03:07'!
refrescoMaximo
	self subclassResponsability! !

Entrada subclass: #HDMI
	uses: TConsumoEntradaPorcentaje + TRefrescoEntradaPorCable + TDefinicionEntradaPorCable
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc'!

HDMI class
	uses: TConsumoEntradaPorcentaje classTrait + TRefrescoEntradaPorCable classTrait + TDefinicionEntradaPorCable classTrait
	instanceVariableNames: ''!

!HDMI methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 19:29'!
cable
	^ super cable! !

!HDMI methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 19:29'!
estaConectada
	^ super estaConectada! !

!HDMI methodsFor: 'as yet unclassified' stamp: 'MarChU 4/12/2013 05:05'!
porcentaje
	^ 0.2! !

Entrada subclass: #RF
	uses: TEntrada480
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc'!

RF class
	uses: TEntrada480 classTrait
	instanceVariableNames: ''!

!RF methodsFor: 'as yet unclassified' stamp: 'MarChU 4/12/2013 00:38'!
consumo: pantalla
		^ 0! !

!RF methodsFor: 'as yet unclassified' stamp: 'MarChU 4/14/2013 01:42'!
refrescoMaximo
	^ 50! !

Entrada subclass: #VGA
	uses: TConsumoEntradaPorPunto - {#definicion} + TDefinicionEntradaPorCable
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc'!

VGA class
	uses: TConsumoEntradaPorPunto classTrait + TDefinicionEntradaPorCable classTrait
	instanceVariableNames: ''!

!VGA methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 19:26'!
cable
	^ super cable! !

!VGA methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 19:26'!
estaConectada
	^ super estaConectada! !

!VGA methodsFor: 'as yet unclassified' stamp: 'MarChU 4/15/2013 00:57'!
refrescoMaximo
	^ 120! !

!VGA methodsFor: 'as yet unclassified' stamp: 'MarChU 4/13/2013 21:37'!
wattsPorPunto
	^ 0.001! !

Object subclass: #HDMagnetico
	instanceVariableNames: 'revoluciones'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc'!

!HDMagnetico class methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 23:15'!
newDisco: revoluciones
	^ self new
		revoluciones: revoluciones.! !

!HDMagnetico methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 20:20'!
consumo
 	^ ( self revoluciones * 60 ) / 10000! !

!HDMagnetico methodsFor: 'as yet unclassified' stamp: 'Anonymous 4/15/2013 12:22'!
revoluciones
 ^revoluciones ! !

!HDMagnetico methodsFor: 'as yet unclassified' stamp: 'Anonymous 4/15/2013 12:22'!
revoluciones:unasRevoluciones
revoluciones:=unasRevoluciones ! !

Object subclass: #HDSolido
	instanceVariableNames: 'consumo'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc'!

!HDSolido class methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 11:03'!
newDisco: consumo
	^ self new
		consumo: consumo.! !

!HDSolido methodsFor: 'as yet unclassified' stamp: 'Anonymous 4/15/2013 11:11'!
consumo
 ^ consumo! !

!HDSolido methodsFor: 'as yet unclassified' stamp: 'Anonymous 4/15/2013 11:12'!
consumo:unConsumo
consumo:=unConsumo! !

Object subclass: #PC
	instanceVariableNames: 'placaDeVideo hd pantalla'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc'!

!PC class methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 23:16'!
newConHd: unDisco pantalla: unaPantalla placaDeVideo: unaPlaca
	^ self new
		hd: unDisco;
		pantalla: unaPantalla;
		placaDeVideo: unaPlaca.
! !

!PC methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 23:24'!
consumo
	^ self hd consumo + self pantalla consumo + ( self placaDeVideo consumo value: self )! !

!PC methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 22:14'!
definicionMaxima
	^ ( self pantalla resolucionConfiguracion ) min: ( self placaDeVideo resolucion ) ! !

!PC methodsFor: 'accessing' stamp: 'MarChU 4/16/2013 22:54'!
hd
	^ hd! !

!PC methodsFor: 'accessing' stamp: 'MarChU 4/16/2013 22:54'!
hd: anObject
	hd := anObject! !

!PC methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 22:48'!
jugar
	^ ( pantalla jugar ) and: [ placaDeVideo jugar: self ]! !

!PC methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 22:12'!
pantalla
 	^ pantalla! !

!PC methodsFor: 'accessing' stamp: 'MarChU 4/16/2013 22:15'!
pantalla: anObject
	pantalla := anObject! !

!PC methodsFor: 'accessing' stamp: 'MarChU 4/16/2013 22:15'!
placaDeVideo
	^ placaDeVideo! !

!PC methodsFor: 'accessing' stamp: 'MarChU 4/16/2013 22:15'!
placaDeVideo: anObject
	placaDeVideo := anObject! !

Object subclass: #Pantalla
	instanceVariableNames: 'refresco tecnologia entrada'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc'!

!Pantalla methodsFor: 'accessing' stamp: 'MarChU 4/15/2013 00:24'!
cambiarEntrada: anObject
	entrada := anObject! !

!Pantalla methodsFor: 'accessing' stamp: 'MarChU 4/15/2013 00:40'!
conectar: unCable
	( self puedeConectar: unCable ) ifTrue: [ self entrada conectar: unCable ] ifFalse: [ Exception signal: 'No se pudo conectar el cable.' ]
! !

!Pantalla methodsFor: 'accessing' stamp: 'MarChU 4/16/2013 17:54'!
consumo
	^ self tecnologia consumo! !

!Pantalla methodsFor: 'accessing' stamp: 'MarChU 4/16/2013 17:54'!
consumoConfiguracion
	^ self tecnologia consumo + ( self entrada consumo: self )! !

!Pantalla methodsFor: 'accessing' stamp: 'MarChU 4/15/2013 00:08'!
entrada
	^ entrada! !

!Pantalla methodsFor: 'accessing' stamp: 'MarChU 4/16/2013 17:59'!
jugar
	^ self refrescoConfiguracion > 100! !

!Pantalla methodsFor: 'accessing' stamp: 'MarChU 4/16/2013 17:59'!
puedeConectar: unCable
	^ ( self resolucion >= unCable definicion ) and: [ self entrada puedeConectar: unCable ]! !

!Pantalla methodsFor: 'accessing' stamp: 'MarChU 4/10/2013 06:29'!
refresco
	^ refresco! !

!Pantalla methodsFor: 'accessing' stamp: 'MarChU 4/12/2013 07:27'!
refresco: anObject
	refresco := anObject! !

!Pantalla methodsFor: 'accessing' stamp: 'MarChU 4/16/2013 17:59'!
refrescoConfiguracion
	^ ( self refresco ) min: ( self entrada refrescoMaximo )! !

!Pantalla methodsFor: 'accessing' stamp: 'MarChU 4/16/2013 17:54'!
resolucion
	^ self tecnologia definicionMaxima! !

!Pantalla methodsFor: 'accessing' stamp: 'MarChU 4/16/2013 17:57'!
resolucionConfiguracion
	^ ( self tecnologia definicionMaxima ) min: ( self entrada definicion )! !

!Pantalla methodsFor: 'accessing' stamp: 'MarChU 4/10/2013 06:06'!
tecnologia
	^ tecnologia! !

!Pantalla methodsFor: 'accessing' stamp: 'MarChU 4/12/2013 07:26'!
tecnologia: anObject
	tecnologia := anObject! !

Object subclass: #PantallaBuilder
	instanceVariableNames: 'tecnologia entrada'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc'!

PantallaBuilder subclass: #MonitorBuilder
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc'!

!MonitorBuilder methodsFor: 'as yet unclassified' stamp: 'MarChU 4/13/2013 01:11'!
refrescoPantalla
	^ 120.! !

!PantallaBuilder methodsFor: 'as yet unclassified' stamp: 'MarChU 4/18/2013 08:42'!
build
	^ Pantalla new
		tecnologia: tecnologia;
		refresco: self refrescoPantalla;
		cambiarEntrada: entrada.! !

!PantallaBuilder methodsFor: 'as yet unclassified' stamp: 'MarChU 4/13/2013 01:09'!
refrescoPantalla
	self subclassResponsability! !

!PantallaBuilder methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 18:01'!
setEntrada: unaEntrada
	entrada := unaEntrada! !

!PantallaBuilder methodsFor: 'as yet unclassified' stamp: 'MarChU 4/13/2013 01:29'!
setTecnologiaCRT: unTamanio
	| instance |
	instance := CRT new.
	instance tamanio: unTamanio.
	self tecnologia: instance.
	! !

!PantallaBuilder methodsFor: 'as yet unclassified' stamp: 'MarChU 4/13/2013 01:29'!
setTecnologiaLCD: unTamanio PPP: unPpp
	| instance |
	instance := LCD new.
	instance tamanio: unTamanio.
	instance ppp: unPpp.
	self tecnologia: instance.! !

!PantallaBuilder methodsFor: 'as yet unclassified' stamp: 'MarChU 4/13/2013 01:29'!
setTecnologiaLED: unTamanio PPP: unPpp
	| instance |
	instance := LED new.
	instance tamanio: unTamanio.
	instance ppp: unPpp.
	self tecnologia: instance.! !

!PantallaBuilder methodsFor: 'accessing' stamp: 'MarChU 4/13/2013 01:29'!
tecnologia
	^ tecnologia! !

!PantallaBuilder methodsFor: 'accessing' stamp: 'MarChU 4/13/2013 01:29'!
tecnologia: anObject
	tecnologia := anObject! !

PantallaBuilder subclass: #SmartTVBuilder
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc'!

!SmartTVBuilder methodsFor: 'as yet unclassified' stamp: 'MarChU 4/13/2013 01:11'!
refrescoPantalla
	^ 135.! !

!SmartTVBuilder methodsFor: 'as yet unclassified' stamp: 'MarChU 4/13/2013 17:51'!
setTecnologiaCRT: unTamanio
	Exception signal: 'Solo permite tecnologia LED'.! !

!SmartTVBuilder methodsFor: 'as yet unclassified' stamp: 'MarChU 4/13/2013 17:51'!
setTecnologiaLCD: unTamanio PPP: unPpp
	Exception signal: 'Solo permite tecnologia LED'.! !

PantallaBuilder subclass: #TVBuilder
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc'!

!TVBuilder methodsFor: 'as yet unclassified' stamp: 'MarChU 4/13/2013 01:11'!
refrescoPantalla
	^ 90.! !

Object subclass: #PlacaDeVideo
	instanceVariableNames: 'coolers pixelesHorizontales pixelesVerticales'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc'!

PlacaDeVideo subclass: #ConGPU
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc'!

!ConGPU class methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 23:17'!
newPlacaConPxHorizontales: pxHorizontales pxVerticales: pxVerticales
	^ self new
		pixelesHorizontales: pxHorizontales;
		pixelesVerticales: pxVerticales.! !

!ConGPU methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 22:21'!
consumoInterno
	^ [ :unaPC | ( unaPC definicionMaxima ) * 1 / 100000 ]! !

!ConGPU methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 22:24'!
jugar: unaPC
 	^ true! !

PlacaDeVideo subclass: #Integrada
	uses: TPlacaDeVideoConConsumoPromedio
	instanceVariableNames: 'consumoPromedio'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc'!

Integrada class
	uses: TPlacaDeVideoConConsumoPromedio classTrait
	instanceVariableNames: ''!

!Integrada class methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 23:18'!
newPlacaConPxHorizontales: pxHorizontales pxVerticales: pxVerticales consumoPromedio: unConsumo
	^ self new
		pixelesHorizontales: pxHorizontales;
		pixelesVerticales: pxVerticales;
		consumoPromedio: unConsumo.! !

!Integrada methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 22:03'!
consumoPromedio
	^ consumoPromedio! !

!Integrada methodsFor: 'accessing' stamp: 'MarChU 4/18/2013 11:50'!
consumoPromedio: anObject
	consumoPromedio := anObject! !

!Integrada methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 22:24'!
jugar: unaPC
	 ^ false! !

!PlacaDeVideo methodsFor: 'accessing' stamp: 'MarChU 4/16/2013 23:25'!
consumo
	^ [ :unaPC | self coolers consumo + ( self consumoInterno value: unaPC ) ]! !

!PlacaDeVideo methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 22:19'!
consumoInterno
	self subClassResponsability! !

!PlacaDeVideo methodsFor: 'accessing' stamp: 'MarChU 4/16/2013 20:17'!
coolers
	^ coolers! !

!PlacaDeVideo methodsFor: 'accessing' stamp: 'MarChU 4/16/2013 23:19'!
initialize
	coolers := Coolers new.! !

!PlacaDeVideo methodsFor: 'accessing' stamp: 'MarChU 4/16/2013 22:23'!
jugar: unaPC
	self subClassResponsability! !

!PlacaDeVideo methodsFor: 'accessing' stamp: 'MarChU 4/16/2013 19:44'!
pixelesHorizontales
	^ pixelesHorizontales! !

!PlacaDeVideo methodsFor: 'accessing' stamp: 'MarChU 4/16/2013 19:44'!
pixelesHorizontales: anObject
	pixelesHorizontales := anObject! !

!PlacaDeVideo methodsFor: 'accessing' stamp: 'MarChU 4/16/2013 23:03'!
pixelesHorizontales: pxHorizontales pixelesVerticales: pxVerticales
	self pixelesHorizontales: pxHorizontales.
	self pixelesVerticales: pxVerticales.! !

!PlacaDeVideo methodsFor: 'accessing' stamp: 'MarChU 4/16/2013 19:44'!
pixelesVerticales
	^ pixelesVerticales! !

!PlacaDeVideo methodsFor: 'accessing' stamp: 'MarChU 4/16/2013 19:44'!
pixelesVerticales: anObject
	pixelesVerticales := anObject! !

!PlacaDeVideo methodsFor: 'accessing' stamp: 'MarChU 4/16/2013 19:45'!
resolucion
	^ self pixelesVerticales * self pixelesHorizontales! !

!PlacaDeVideo methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 23:19'!
setCantidadDeCoolers: unaCantidad
	self coolers cantidad: unaCantidad.! !

PlacaDeVideo subclass: #SinGPU
	uses: TPlacaDeVideoConConsumoPromedio
	instanceVariableNames: 'consumoPromedio'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc'!

SinGPU class
	uses: TPlacaDeVideoConConsumoPromedio classTrait
	instanceVariableNames: ''!

!SinGPU class methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 23:18'!
newPlacaConPxHorizontales: pxHorizontales pxVerticales: pxVerticales consumoPromedio: unConsumo
	^ self new
		pixelesHorizontales: pxHorizontales;
		pixelesVerticales: pxVerticales;
		consumoPromedio: unConsumo.! !

!SinGPU methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 22:04'!
consumoPromedio
	^ consumoPromedio! !

!SinGPU methodsFor: 'accessing' stamp: 'MarChU 4/18/2013 11:44'!
consumoPromedio: anObject
	consumoPromedio := anObject! !

!SinGPU methodsFor: 'as yet unclassified' stamp: 'MarChU 4/16/2013 22:26'!
jugar: unaPC
	^ ( ( unaPC definicionMaxima ln ) / self consumoPromedio ) >= 4! !

Object subclass: #TecnologiaDeImagen
	instanceVariableNames: 'tamanio'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc'!

TecnologiaDeImagen subclass: #CRT
	uses: TImagenAnalogica + TConsumoTecnologiaDeImagen
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc'!

CRT class
	uses: TImagenAnalogica classTrait + TConsumoTecnologiaDeImagen classTrait
	instanceVariableNames: ''!

!CRT methodsFor: 'as yet unclassified' stamp: 'MarChU 4/12/2013 06:12'!
tamanio
	^ tamanio! !

!CRT methodsFor: 'as yet unclassified' stamp: 'MarChU 4/10/2013 03:34'!
wattsPorHora
	^ 5! !

TecnologiaDeImagen subclass: #LCD
	uses: TImagenDigital + TConsumoTecnologiaDeImagen
	instanceVariableNames: 'ppp'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc'!

LCD class
	uses: TImagenDigital classTrait + TConsumoTecnologiaDeImagen classTrait
	instanceVariableNames: ''!

!LCD methodsFor: 'accessing' stamp: 'MarChU 4/10/2013 03:38'!
ppp
	^ ppp! !

!LCD methodsFor: 'accessing' stamp: 'MarChU 4/10/2013 03:38'!
ppp: anObject
	ppp := anObject! !

!LCD methodsFor: 'as yet unclassified' stamp: 'MarChU 4/12/2013 06:12'!
tamanio
	^ tamanio! !

!LCD methodsFor: 'as yet unclassified' stamp: 'MarChU 4/10/2013 03:36'!
wattsPorHora
	^ 4! !

TecnologiaDeImagen subclass: #LED
	uses: TImagenDigital + TConsumoTecnologiaDeImagen
	instanceVariableNames: 'ppp'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-LSD-Inc'!

!LED commentStamp: '<historical>' prior: 0!
A LED is una representacion de una pantalla con tecnologia LED.

Instance Variables
	ppp:		<Object>

ppp
	- xxxxx
!

LED class
	uses: TImagenDigital classTrait + TConsumoTecnologiaDeImagen classTrait
	instanceVariableNames: ''!

!LED methodsFor: 'accessing' stamp: 'MarChU 4/10/2013 03:38'!
ppp
	^ ppp! !

!LED methodsFor: 'accessing' stamp: 'MarChU 4/10/2013 03:38'!
ppp: anObject
	ppp := anObject! !

!LED methodsFor: 'as yet unclassified' stamp: 'MarChU 4/12/2013 06:12'!
tamanio
	^ tamanio! !

!LED methodsFor: 'as yet unclassified' stamp: 'MarChU 4/10/2013 03:36'!
wattsPorHora
	^ 1! !

!TecnologiaDeImagen methodsFor: 'as yet unclassified' stamp: 'MarChU 4/12/2013 04:25'!
consumo
	self subclassResponsability! !

!TecnologiaDeImagen methodsFor: 'as yet unclassified' stamp: 'MarChU 4/13/2013 22:44'!
definicionMaxima
	self subclassResponsability! !

!TecnologiaDeImagen methodsFor: 'accessing' stamp: 'MarChU 4/12/2013 04:26'!
tamanio
	^ tamanio! !

!TecnologiaDeImagen methodsFor: 'accessing' stamp: 'MarChU 4/12/2013 07:25'!
tamanio: anObject
	tamanio := anObject! !

!TecnologiaDeImagen methodsFor: 'as yet unclassified' stamp: 'MarChU 4/12/2013 04:18'!
wattsPorHora
	self subclassResponsibility! !
